package com.wechat.model.responseDto;

import java.util.Date;

import com.wechat.common.utils.BaseUtils;
import com.wechat.common.utils.NumberUtils;

public class JobAdvertisedNologinResp extends JobAdvertisedResp{

	private Date createDate; // 创建时间
	
	private String shareJob; // 发布的工作Id

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.shareJob = BaseUtils.getShareJob(createDate,NumberUtils.stringToInt(super.getJobId(),0));
		super.setJobId("");
	}

	public String getShareJob() {
		return shareJob;
	}

	public void setShareJob(String shareJob) {
		this.shareJob = shareJob;
	}

	
}
